Java Update 21
Posted by: Rockspecht
Date: July 15, 2010 08:44PM

Hello,
I use k-m 1.5.4 and I just installed the latest java update (21), but I get this error whenever I try to use it with k-m.
http://s7.directupload.net/images/user/100715/fsvey84v.png
Is there any way to avoid that?

Secondly, I have a minor question about the k-m quickstarter/loader which I will just post since I already started a thread. I set the browser to start maximized, however, when I use the loader the browser starts in a window. Is it possible to fix that behavior?

Re: Java Update 21
Posted by: JamesD
Date: July 15, 2010 11:42PM

I have not installed it yet, but I did see this post in the forum. http://kmeleon.sourceforge.net/forum/read.php?12,101206,108635#msg-108635

I have KM 1.1.6, 1.5.4, 1.6.0a4, and 1.7.0a loaded. I admit that I do not know if I should update my Java or not. I am hoping someone can shed some light on this issue. I have downloaded the install, but I don't want to create any problems for any of my KM versions by installing it.

Re: Java Update 21
Posted by: Matt
Date: July 16, 2010 01:51AM

Quote
Rockspecht
Is there any way to avoid that?

IMO go back to previous jre version.

Quote
JamesD
I have downloaded the install, but I don't want to create any problems for any of my KM versions by installing it.

You can extract the needed dlls from the install with Universal Extractor.

K-Meleon 1.6 both alphas - JRE 6 Update 21 doesn't work for me; npjpi160_21.dll crashes K-M 1.7 sad smiley.
java.com test page

Re: Java Update 21
Posted by: SoerenB
Date: July 16, 2010 02:33AM

Hi, Rockspecht,

concerning "question about the k-m quickstarter/loader":

The loader is a good thing if two conditions are true:

(a) Your K-M runs on a really old & slow machine with less than 512 MB of memory.
(b) You've finished tweaking, configuring, adding extensions

If (a) isn't true, you don't really need it, IMHO - K-M probably loading faster than your previous browser was.
If (b) isn't true, the loader is a constant additional thing to keep in mind: you have to restart K-M after one change? If you forget to kill the loader too, chances are THAT change doesn't work well the first time.

Cheers
SoerenB

KM 1.74b4u1 in Wine 1.6 on Linux Mint 17 (XFCE)
- and still being surprised every day
how easily all of this works ...

Re: Java Update 21
Posted by: Rockspecht
Date: July 16, 2010 02:53AM

Quote
SoerenB
If (a) isn't true, you don't really need it, IMHO - K-M probably loading faster than your previous browser was.

It's my mother's PC and the loader is greatly helpful. I just can't talk her into buying a newer PC. sleepy smiley
I'll ninja some more RAM into it some day.

Quote

If (b) isn't true, the loader is a constant additional thing to keep in mind: you have to restart K-M after one change? If you forget to kill the loader too, chances are THAT change doesn't work well the first time.

I'm aware that some changes won't apply while the loader is running and I tried without it, it does start maximized without the loader, but somehow not with it.

Quote
Matt
Quote
Rockspecht
Is there any way to avoid that?

IMO go back to previous jre version.

Too bad, I'll stick with it until something turns up.

Re: Java Update 21
Posted by: guenter
Date: July 16, 2010 03:55AM

Quote
Rockspecht
Hello,
I use k-m 1.5.4 and I just installed the latest java update (21),

but I get this error whenever I try to use it with k-m.

Is there any way to avoid that?



I just can't talk her into buying a newer PC.

I'll ninja some more RAM into it some day.


All non IE browsers share the same Mozilla/Netscape plugin model! This is a plugin bug. You may have to complain to Sun to get it fixed. They created a plugin that was not truly Mozilla compatible? Mozilla = any browser. This plugins must e.g. work with Opera. It can not throw the error "this is not Firefox 3" with e.g. Opera grinning smiley

What did You try specifically?

You can try to spoof a Firefox 3 string. Browserkennung auf benutzerdefiniert usw.

You can manually drop a copy of the needed files from C:\Programme\Java\jre6\bin\ to C:\Programme\K-Meleon\plugins and look whether that does the trick.


Not all new things are better^2 smiling smiley

What is the reason for Your update to an incompatible, buggy Java version?



I would not listen either. A Pentium 500 is totally sufficient for Internet.
But I'd tend to agree that more RAM is a good idea. smiling smiley

mfG to MecPom from Hannover



Edited 1 time(s). Last edit at 07/16/2010 04:10AM by guenter.

Re: Java Update 21
Posted by: antonpaco
Date: July 25, 2010 01:35AM

same problem with the new java update, the same error is also wirh seamonkey, may be is something about the plugin because IE8 works. Any idea?

Re: Java Update 21
Posted by: Matt
Date: July 26, 2010 02:31PM

Take a look a the Release Notes.

Quote

Java SE 6 Update 21 does not contain any additional fixes for security vulnerabilities to its previous release, Java SE 6 Update 20. Users who have Java SE 6 Update 20 have the latest security fixes and do not need to upgrade to this release to be current on security fixes.

We are on the safe side, for now...

Re: Java Update 21
Posted by: antonpaco
Date: July 27, 2010 01:49AM

ok mark, but the question still remain. What about people that already installed java 6.21 and k-meleon doesn't work? Is it possible in the next days an upgrade to solve the problem?

Re: Java Update 21
Posted by: Matt
Date: July 27, 2010 03:13AM

Uninstal 21 and then install 20 http://java.sun.com/products/archive/ or leave 21 in your system and extract needed dlls from exe as I posted already in this thread and copy them to K-Meleon plugins folder.

Re: Java Update 21
Posted by: ndebord
Date: July 27, 2010 08:21AM

Quote
Matt
Uninstal 21 and then install 20 http://java.sun.com/products/archive/ or leave 21 in your system and extract needed dlls from exe as I posted already in this thread and copy them to K-Meleon plugins folder.

Matt,

PMFJI, but what are the needed files to go into the k-meleon plugins folder?

Tks.

N

Re: Java Update 21
Posted by: guenter
Date: July 27, 2010 11:00AM

Quote
ndebord

but what are the needed files to go into the k-meleon plugins folder?

The ones that start with np (Netscape Plugin?) as always, IMHO.
In folder C:\Programme\Java\jre6\bin\

English systems have the folder name "program files" instead of Programme...



Edited 1 time(s). Last edit at 07/27/2010 11:00AM by guenter.

Re: Java Update 21
Posted by: Matt
Date: July 27, 2010 10:01PM

ndebord, no problem; it's very easy. If you have java installed already, choose Help > About Plugins and you will see. These are the dlls: npjpi160_20.dll, npoji610.dll, npjp2.dll and IMHO optionally npdeployJava1.dll.

Does java work when you have only those dlls in browser plugins folder and do NOT have it installed in the system? Someone tried it?

Re: Java Update 21
Posted by: disrupted
Date: July 27, 2010 11:20PM

i don't think so because they rely on many other components from the java installation folder and some are even called from the registry

Re: Java Update 21
Posted by: ndebord
Date: July 28, 2010 11:11AM

Quote
Matt
ndebord, no problem; it's very easy. If you have java installed already, choose Help > About Plugins and you will see. These are the dlls: npjpi160_20.dll, npoji610.dll, npjp2.dll and IMHO optionally npdeployJava1.dll.

Does java work when you have only those dlls in browser plugins folder and do NOT have it installed in the system? Someone tried it?

Matt,

Thanks. I'm going to try it now.

P.S.

Nope... doesn't work like other plugins. Got to have Java installed somewhere. I tested by renaming my c:\program files\java folder to javatest.. failed when I used this test site:


http://www.javatester.org/version.html

N



Edited 1 time(s). Last edit at 07/28/2010 11:17AM by ndebord.

Re: Java Update 21
Posted by: Rockspecht
Date: July 31, 2010 07:45PM

Java works normally (I tried some simple java demos I found via google and a java-based IRC chat) for me when I delete that weird npjp2.dll ("Next Generation Java Plug-in 1.6.0_21 for Mozilla browsers") from bin\new_plugin, but honestly, I have no idea what that plugin does at all and which consequences deleting it might have, but it certainly causes the this is not firefox 3! error.

Re: Java Update 21, Home Page & crash problems.
Posted by: caktus
Date: August 04, 2010 01:08AM

I am using KM 1.5.4 and IE 6 browsers on XP Home and the system seems to be free of viruses, etc.

Since installing jre-6u21-windows.exe my system had gone haywire and no java app's have worked. I can't even pass the java test at http://www.javatester.org/version.html. When I tried to reinstall update 18 for Windows i386 I
found that I no longer have this setup file. The only Update 18 I can find is for Windows-i586. I even looked at http://java.sun.com/products/archive/ and Google but no Update 18 for windows i386. I tried the update 18 for i586 but it did not seem to work, nor would it pass the Java Tester. I have even tried deleting Cookies, Temp, History, Cache as well as Java and other orphaned Registry files and other Java versions but still no success. I have also tried 6u20 but it too does not seem to work. In addition, my system will not revert to the Windows Default Java and 6u21 is still listed at Internet Options > Advanced although 6u21 has been uninstalled.

Another problem is when I open KM I get "The file /readme.html cannot be found.” although my home page is set to resource:///readme.html in Edit > Preferences.

Also, KM has been crashing a lot. Most times I have been submitting crash reports when I get the “Sorry but km must close....” Dialogue box.

I would appreciate any help or advice regarding these problems.

Thank you.

Charlie

~~If it ain't broke, why screw it up?~~


Re: Java Update 21, Home Page & crash problems.
Posted by: JamesD
Date: August 04, 2010 01:43AM

I am running with Java(TM) Platform SE 6 U20 installed, and have various versions of KM installed. I am having no problems with u20. You might uninstall all your current java and install u20. That appears to be on the archive page that you noted in your post.

Hope this is helpful.

Re: Java Update 21, Home Page & crash problems.
Posted by: caktus
Date: August 04, 2010 03:42AM

Quote
JamesD
I am running with Java(TM) Platform SE 6 U20 installed, and have various versions of KM installed. I am having no problems with u20. You might uninstall all your current java and install u20. That appears to be on the archive page that you noted in your post.

Hope this is helpful.

Thank you, James. u20 seemed to be a trouble maker when I previously installed it but I will give it another try.

Charlie

~~If it ain't broke, why screw it up?~~


Re: Java Update 21, Home Page & crash problems.
Posted by: caktus
Date: August 04, 2010 02:20PM

Finally, u18 is installed and working and has passed the java Tester. I had to enter or change some registry entries to get the system to recognize u18 but it seems to be working fine. U18 is now listed in Manage Add-ons. However, three instances of u21 are still listed in Internet Options > Advanced but not Add-Remove programs. In addition, u21 rather than u18 is listed in Internet Options > Advanced. I am sure there must be some way, perhaps registry edits, to fix these problems but I cannot figure out how. Can anyone tell me how I might fix these problems?

I reinstalled 1.5.4 as it had become very unstable which has fixed the Home Page problem I had been experiencing.

Charlie

~~If it ain't broke, why screw it up?~~




Edited 3 time(s). Last edit at 08/04/2010 10:55PM by caktus.

Re: Java Update 21
Posted by: siria
Date: September 19, 2010 05:08AM

Quote
Rockspecht
Java works normally (I tried some simple java demos I found via google and a java-based IRC chat) for me when I delete that weird npjp2.dll ("Next Generation Java Plug-in 1.6.0_21 for Mozilla browsers") from bin\new_plugin, but honestly, I have no idea what that plugin does at all and which consequences deleting it might have, but it certainly causes the this is not firefox 3! error.

Confirmation from another user that deleting npjp2.dll (version-21) works fine for him too: smiling smiley

http://kmeleon.sourceforge.net/forum/read.php?1,105039,110381#msg-110381

Quote
beerenmix
habe inzwischen...-->
von guenter
Java: ./bin/npjp2.dll (Next Generation Java Plug-in 1.6.0_21) löschen, dann kannst du auch 1.6.0_21 nehmen.

..befolgt und es funzt einwandfrei!


Re: Java Update 21
Posted by: jmillar
Date: September 23, 2010 05:42PM

Can I then let Java 21 install itself and then overwrite the new plugin with the old one from update 20? Any undesirable side effects?

Re: Java Update 21
Posted by: guenter
Date: September 26, 2010 01:09AM

No idea.

The faulty plugin is only for Firefox, probably. The original finder of the fact that the plugin can be savely deleted wrote, he did not find out what the use is.
Java for non IE browsers (= the Mozilla Java plugin) works without it.

Version 21 is not a bugfix of 20 (info posted by Fred).

Re: Java Update 21
Posted by: i. ri.
Date: October 03, 2010 05:50AM

indeed bug fixes for jre6u21 listed at http://www.oracle.com/technetwork/java/javase/bugfixes6u21-156339.html

concur that revert to v.20 function; after uninstall v.21, install v.20

since following this forum for two+half years I have understanding that many K-Meleon users stand with older versions of OS and k-m browser, but for those who have now x64 re: this java issue,, the .jucheck. may not be thwarted without considerable work of denial. x86 user may turn off update in bin\javacpl. The instruction at java...../autoupdate not completely accurate.

thank YOU, k-meleon staff, for BEST browser of all. Respectfully. ___i.ri.

Re: Java Update 21
Posted by: Claracc
Date: October 14, 2010 05:00PM

I have seen java update 22 yesterday, is it safe to update de java environment from update 20 (what works with k meleon) to 22 or better I stay with 20 update?

Thankyou very much in advance

Regards

Re: Java Update 21
Posted by: 4td8s
Date: October 15, 2010 12:41AM

java 6.0 update 22 seems pretty safe to me with latest KM 1.6 alpha or pre-beta.
I'll try to test java 6u22 with KM 1.54 on another computer and see what happens.

Quote
Matt
K-Meleon 1.6 both alphas - JRE 6 Update 21 doesn't work for me; npjpi160_21.dll crashes K-M 1.7 sad smiley.
java.com test page

Matt, do NOT link directly to the Java.com test page because it may not work as expected. Just start here instead.



Edited 1 time(s). Last edit at 10/15/2010 12:44AM by 4td8s.

Re: Java Update 21
Posted by: ndebord
Date: October 15, 2010 09:23AM

Quote
4td8s
java 6.0 update 22 seems pretty safe to me with latest KM 1.6 alpha or pre-beta.
I'll try to test java 6u22 with KM 1.54 on another computer and see what happens.

Quote
Matt
K-Meleon 1.6 both alphas - JRE 6 Update 21 doesn't work for me; npjpi160_21.dll crashes K-M 1.7 sad smiley.
java.com test page

Matt, do NOT link directly to the Java.com test page because it may not work as expected. Just start here instead.

4td8s,

Update 22 seems just fine in KM 1.5.4 on my XP PRO SP3 Thinkpad.

N

Re: Java Update 21
Posted by: Claracc
Date: October 15, 2010 11:13PM

Thanks.

I am going to install it (6_22 java update) in an old laptop (pentium III) with win xp sp3.

Re: Java Update 21
Posted by: Claracc
Date: October 16, 2010 12:12AM

Java 6_22 update doesn't work in k meleon 1.5.4

It says that I need a more recent version of browser of the family of firefox 3.0?

So, is the solution to stay with java update 6_20?

Re: Java Update 21
Posted by: Claracc
Date: October 16, 2010 12:16AM

java update 6_22 doesn`t work en kmeleon 1.5.4.

There is a windows saying I need a more recent version of the browser, for example firefox 3.0 or later. At the end of trying to see an applet, kmeleon crashes.

So, what is the solution?, To stay with 6_20 java update?

K-Meleon forum is powered by Phorum.